# std::length_error

From cppreference.com
< cpp‎ | error

Defined in header `<stdexcept>` |  |
class length_error; |  |

Defines a type of object to be thrown as exception. It reports errors that are consequence of attempt to exceed implementation defined length limits for some object.

This exception is thrown by member functions of std::basic_string and std::vector::reserve

Inheritance diagram

### Member functions

(constructor) | constructs the exception object (public member function)

## std::length_error::length_error

explicit length_error( const std::string& what_arg ); | (1) |
explicit length_error( const char* what_arg ); | (2) | (since C++11)

Constructs the exception object with `what_arg` as explanatory string that can be accessed through what().

Because copying `std::exception` is not permitted to throw exceptions, this message is typically stored internally as a separately-allocated reference-counted string. This is also why there is no constructor taking `std::string&&`: it would have to copy the content anyway.

### Parameters

what_arg | - | explanatory string

### Exceptions

May throw std::bad_alloc

## Inherited from std::exception

### Member functions

(destructor) [virtual] | destructs the exception object (virtual public member function of `std::exception`)
what [virtual] | returns an explanatory string (virtual public member function of `std::exception`)

### See also

resize | changes the number of characters stored (public member function of `std::basic_string`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/error/length_error&oldid=70826"